package com.realnet.angulardatatype.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import com.realnet.angulardatatype.Entity.State_ListFilter1;
import com.realnet.angulardatatype.Services.State_ListFilter1Service ;
@RequestMapping(value = "/token/State_ListFilter1")
@RestController
public class tokenFree_State_ListFilter1Controller {
	
	@Autowired
	private State_ListFilter1Service Service;

		@GetMapping("/State_ListFilter1")
	public List<State_ListFilter1> getlist() {
		 List<State_ListFilter1> get = Service.getlistbuilder();		
		return get;
}
		@GetMapping("/State_ListFilter11/{item}")
	public List<State_ListFilter1> getlistwithparam(  @PathVariable String item) {
		 List<State_ListFilter1> get = Service.getlistbuilderparam(  item);		
		return get;
}
}